<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: VivianUI Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_vivian_u_i.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="class_vivian_u_i-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">VivianUI Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for VivianUI:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_vivian_u_i.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad650a3f28c88a0742fc84fd64df601a8"><td class="memItemLeft" align="right" valign="top">async void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_vivian_u_i.html#ad650a3f28c88a0742fc84fd64df601a8">CreateProject</a> (string projectName, string projectPath, List&lt; string &gt; modelPaths, bool createSubdir)</td></tr>
<tr class="memdesc:ad650a3f28c88a0742fc84fd64df601a8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a <a class="el" href="class_vivian_u_i.html">VivianUI</a> project.  <a href="class_vivian_u_i.html#ad650a3f28c88a0742fc84fd64df601a8">More...</a><br /></td></tr>
<tr class="separator:ad650a3f28c88a0742fc84fd64df601a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6345564e41851f88a63fc6ad99d5d3d5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_vivian_u_i.html#a6345564e41851f88a63fc6ad99d5d3d5">LoadProject</a> (<a class="el" href="class_project_json_wrapper.html">ProjectJsonWrapper</a> project)</td></tr>
<tr class="memdesc:a6345564e41851f88a63fc6ad99d5d3d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads a <a class="el" href="class_vivian_u_i.html">VivianUI</a> project.  <a href="class_vivian_u_i.html#a6345564e41851f88a63fc6ad99d5d3d5">More...</a><br /></td></tr>
<tr class="separator:a6345564e41851f88a63fc6ad99d5d3d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21a955facfb160d6529f9b30b1ad8bf5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_vivian_u_i.html#a21a955facfb160d6529f9b30b1ad8bf5">ShowModal</a> (string modalName)</td></tr>
<tr class="memdesc:a21a955facfb160d6529f9b30b1ad8bf5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets a modal from the XRUI Framework and displays it.  <a href="class_vivian_u_i.html#a21a955facfb160d6529f9b30b1ad8bf5">More...</a><br /></td></tr>
<tr class="separator:a21a955facfb160d6529f9b30b1ad8bf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc92747134921494f33c3c42f786ff48"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_vivian_u_i.html#acc92747134921494f33c3c42f786ff48">SwitchMode</a> (bool bPlay)</td></tr>
<tr class="memdesc:acc92747134921494f33c3c42f786ff48"><td class="mdescLeft">&#160;</td><td class="mdescRight">Switches the project from edit mode to play mode.  <a href="class_vivian_u_i.html#acc92747134921494f33c3c42f786ff48">More...</a><br /></td></tr>
<tr class="separator:acc92747134921494f33c3c42f786ff48"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aa3311e212e762b835c98bb59a14e150e"><td class="memItemLeft" align="right" valign="top"><a id="aa3311e212e762b835c98bb59a14e150e" name="aa3311e212e762b835c98bb59a14e150e"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>CurrentSituationIndex</b></td></tr>
<tr class="separator:aa3311e212e762b835c98bb59a14e150e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-attribs" name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:ae58db1e3bd768e1040c11cf6f0212bff"><td class="memItemLeft" align="right" valign="top"><a id="ae58db1e3bd768e1040c11cf6f0212bff" name="ae58db1e3bd768e1040c11cf6f0212bff"></a>
static <a class="el" href="class_vivian_u_i.html">VivianUI</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Instance</b></td></tr>
<tr class="separator:ae58db1e3bd768e1040c11cf6f0212bff"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a0e7d35a994b641e3e70491d77ad77194"><td class="memItemLeft" align="right" valign="top"><a id="a0e7d35a994b641e3e70491d77ad77194" name="a0e7d35a994b641e3e70491d77ad77194"></a>
<a class="el" href="class_model_manipulator.html">ModelManipulator</a>&#160;</td><td class="memItemRight" valign="bottom"><b>ModelManipulator</b><code> [get]</code></td></tr>
<tr class="separator:a0e7d35a994b641e3e70491d77ad77194"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a949804d1762a0b81969f6694d3eae538"><td class="memItemLeft" align="right" valign="top"><a id="a949804d1762a0b81969f6694d3eae538" name="a949804d1762a0b81969f6694d3eae538"></a>
<a class="el" href="class_situations_list.html">SituationsList</a>&#160;</td><td class="memItemRight" valign="bottom"><b>SituationsList</b><code> [get]</code></td></tr>
<tr class="separator:a949804d1762a0b81969f6694d3eae538"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac62fa92e86cc3666278e7f04a498d1b6"><td class="memItemLeft" align="right" valign="top"><a id="ac62fa92e86cc3666278e7f04a498d1b6" name="ac62fa92e86cc3666278e7f04a498d1b6"></a>
<a class="el" href="class_menu.html">Menu</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Menu</b><code> [get]</code></td></tr>
<tr class="separator:ac62fa92e86cc3666278e7f04a498d1b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17821aaddbf9f719c78ba08c5252c39b"><td class="memItemLeft" align="right" valign="top"><a id="a17821aaddbf9f719c78ba08c5252c39b" name="a17821aaddbf9f719c78ba08c5252c39b"></a>
<a class="el" href="class_element_picker.html">ElementPicker</a>&#160;</td><td class="memItemRight" valign="bottom"><b>ElementPicker</b><code> [get]</code></td></tr>
<tr class="separator:a17821aaddbf9f719c78ba08c5252c39b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a063698552a9dd4bca40fd3483e058335"><td class="memItemLeft" align="right" valign="top"><a id="a063698552a9dd4bca40fd3483e058335" name="a063698552a9dd4bca40fd3483e058335"></a>
<a class="el" href="class_project_files_controller.html">ProjectFilesController</a>&#160;</td><td class="memItemRight" valign="bottom"><b>ProjectFilesController</b><code> [get]</code></td></tr>
<tr class="separator:a063698552a9dd4bca40fd3483e058335"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af213eb57fb83b616d4c67c3671e4556a"><td class="memItemLeft" align="right" valign="top"><a id="af213eb57fb83b616d4c67c3671e4556a" name="af213eb57fb83b616d4c67c3671e4556a"></a>
List&lt; XRUIElement &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>XruiElements</b><code> [get]</code></td></tr>
<tr class="separator:af213eb57fb83b616d4c67c3671e4556a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2de156544bd24e2dddd87a93d4795257"><td class="memItemLeft" align="right" valign="top"><a id="a2de156544bd24e2dddd87a93d4795257" name="a2de156544bd24e2dddd87a93d4795257"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>IsPlaying</b><code> [get]</code></td></tr>
<tr class="separator:a2de156544bd24e2dddd87a93d4795257"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32daef2488d2b5b04c47c9ba10e197cb"><td class="memItemLeft" align="right" valign="top"><a id="a32daef2488d2b5b04c47c9ba10e197cb" name="a32daef2488d2b5b04c47c9ba10e197cb"></a>
static List&lt; InteractionElementSpec &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>InteractionElements</b><code> [get]</code></td></tr>
<tr class="separator:a32daef2488d2b5b04c47c9ba10e197cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b3b86ba1cf42bc9141ef67c84f35583"><td class="memItemLeft" align="right" valign="top"><a id="a4b3b86ba1cf42bc9141ef67c84f35583" name="a4b3b86ba1cf42bc9141ef67c84f35583"></a>
static List&lt; VisualizationElementSpec &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>VisualizationElements</b><code> [get]</code></td></tr>
<tr class="separator:a4b3b86ba1cf42bc9141ef67c84f35583"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9239316612c110b78525d82acb295ef"><td class="memItemLeft" align="right" valign="top"><a id="ab9239316612c110b78525d82acb295ef" name="ab9239316612c110b78525d82acb295ef"></a>
static List&lt; StateSpec &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>States</b><code> [get]</code></td></tr>
<tr class="separator:ab9239316612c110b78525d82acb295ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc29e4c85637b69e6803adbe8633cc16"><td class="memItemLeft" align="right" valign="top"><a id="abc29e4c85637b69e6803adbe8633cc16" name="abc29e4c85637b69e6803adbe8633cc16"></a>
static List&lt; TransitionSpec &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>Transitions</b><code> [get]</code></td></tr>
<tr class="separator:abc29e4c85637b69e6803adbe8633cc16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a922711a3f1502704ec9cd1b3b76a5219"><td class="memItemLeft" align="right" valign="top"><a id="a922711a3f1502704ec9cd1b3b76a5219" name="a922711a3f1502704ec9cd1b3b76a5219"></a>
static List&lt; VisualizationArraySpec &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>VisualizationArrays</b><code> [get]</code></td></tr>
<tr class="separator:a922711a3f1502704ec9cd1b3b76a5219"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad650a3f28c88a0742fc84fd64df601a8" name="ad650a3f28c88a0742fc84fd64df601a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad650a3f28c88a0742fc84fd64df601a8">&#9670;&nbsp;</a></span>CreateProject()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">async void VivianUI.CreateProject </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>projectName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>projectPath</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">List&lt; string &gt;&#160;</td>
          <td class="paramname"><em>modelPaths</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>createSubdir</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Creates a <a class="el" href="class_vivian_u_i.html">VivianUI</a> project. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">projectName</td><td>Name of the project to create.</td></tr>
    <tr><td class="paramname">projectPath</td><td>Path of the project.</td></tr>
    <tr><td class="paramname">modelPaths</td><td>Path of the model(s) to import.</td></tr>
    <tr><td class="paramname">createSubdir</td><td>Whether to create a subdirectory in the at the given path.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a6345564e41851f88a63fc6ad99d5d3d5" name="a6345564e41851f88a63fc6ad99d5d3d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6345564e41851f88a63fc6ad99d5d3d5">&#9670;&nbsp;</a></span>LoadProject()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void VivianUI.LoadProject </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_project_json_wrapper.html">ProjectJsonWrapper</a>&#160;</td>
          <td class="paramname"><em>project</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Loads a <a class="el" href="class_vivian_u_i.html">VivianUI</a> project. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">project</td><td>The project JSON object.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a21a955facfb160d6529f9b30b1ad8bf5" name="a21a955facfb160d6529f9b30b1ad8bf5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21a955facfb160d6529f9b30b1ad8bf5">&#9670;&nbsp;</a></span>ShowModal()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void VivianUI.ShowModal </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>modalName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Gets a modal from the XRUI Framework and displays it. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">modalName</td><td>Name of the modal template to use.</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname">ArgumentException</td><td>Thrown if no matching script is found.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="acc92747134921494f33c3c42f786ff48" name="acc92747134921494f33c3c42f786ff48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc92747134921494f33c3c42f786ff48">&#9670;&nbsp;</a></span>SwitchMode()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void VivianUI.SwitchMode </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bPlay</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Switches the project from edit mode to play mode. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">bPlay</td><td>Whether to start the "play" mode.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/Scripts/<a class="el" href="_vivian_u_i_8cs.html">VivianUI.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_vivian_u_i.html">VivianUI</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:26:14 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
